R4i LL from ndsill.net bricked

Discussion in 'R4 DS' started by RobinCollet, Nov 12, 2011.

Nov 12, 2011
  1. RobinCollet
    OP

    Newcomer RobinCollet Newbie

    Joined:
    Nov 12, 2011
    Messages:
    3
    Hi guys!

    I have a problem with my i LL from ndsill.net. I updated it to 1.42, then wanted to update it to 1.43 with "illto143.nds". It was stuck at 42%, so i dedicded to power off my DSi LL. Problem is, my cartridge isn't recognized anymore. I'd like to know what could make it work again. I formatted the microSD, installed the firmware 1.42, but still not recognized......

    Help!!!!!!!!!!!!
     
  2. Luigi2012SM64DS

    Banned Luigi2012SM64DS G-old member

    Joined:
    Aug 27, 2011
    Messages:
    2,060
    Location:
    Minecrapt
    Country:
    Canada
    looks like ur kard is briked. srry dude
     
  3. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    I'm sure you know you should never EVER power off during a firmware update, but the fact that the update froze is probably a quality issue (possibly with the updater and not the card since you have done it successfully before) because you had a shitty clone card.

    I'd recommend replacing it with something from a reputable team such as the Supercard DStwo. DStwo is one of the only carts that can be updated on a DSi system even if you break compatibility with your DSi System Firmware.
     
  4. RobinCollet
    OP

    Newcomer RobinCollet Newbie

    Joined:
    Nov 12, 2011
    Messages:
    3
    hi! thanks for your replies. I've bought a new one 20 minutes ago, exactly the same one. It runs correctly on my DSL, but is there a way to downgrade the DSi XL firmware?
     
  5. Buleste

    Member Buleste Old Fart

    Joined:
    Dec 19, 2010
    Messages:
    852
    Country:
    United Kingdom
    No you can't downgrade the DSi firmware.

    If both you're previous cart and your new cart had a gold star with 1.4.1 in it then it cannot be upgraded to work on DSi firmware 1.4.2 or 1.4.3 you will have to either buy a new ndsill.net cart with 1.4.2 on or buy a decent flashcart that can be updated to the latest DSi firmwares like the AceKard 2i or the r4ids.cn Gold cart.
     
  6. RobinCollet
    OP

    Newcomer RobinCollet Newbie

    Joined:
    Nov 12, 2011
    Messages:
    3
    OK, then I'll try to make the seller to rebuy it..........
     
  7. pyromaniac123

    Member pyromaniac123 ส็็็็็็็็็็็็็็็็็็็(ಠ益ಠส็็็็็็็็็็็็็็็็็็็

    Joined:
    Sep 24, 2011
    Messages:
    2,000
    Country:
    United Kingdom
    Why would the seller rebuy it? You didn't check before buying so the seller shouldn't have to rebuy it.
     

Share This Page